🚀 Simplify your work by integrating Haufe Copilot via API
Threads

Delete a thread

Soft-deletes a thread and triggers background cleanup of associated resources.

DELETE/v1/threads/{thread_id}

Authorization

APIKeyHeader
api-key<token>

In: header

Path Parameters

thread_id*Thread Id
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.haufe.ai/agents/v1/threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty

{
  "error_code": "assistant_not_available",
  "detail": "Assistant not available to your tenant"
}

{
  "error_code": "thread_not_found",
  "detail": "Thread not found"
}
{
  "error_code": "validation_error",
  "detail": [
    {
      "loc": [
        "body",
        "field"
      ],
      "message": "Field required",
      "type": "missing"
    }
  ]
}
{
  "error_code": "rate_limit_gateway",
  "detail": "Rate limit exceeded"
}